Name:          openoffice.org-diafilter
Version:       1.7.2
Release:       1%{?dist}
Summary:       DIA diagram shape importer and gallery extension for LibreOffice
Group:         Applications/Productivity
License:       GPLv3+ and LGPLv3+
URL:           http://fedorahosted.org/openoffice.org-diafilter
Source:        http://fedorahosted.org/releases/o/p/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libreoffice-sdk, boost-devel, dia, zlib-devel, zip
Requires:      libreoffice-draw

%define instdir %{_libdir}
%define baseinstdir %{instdir}/libreoffice
%define sdkinstdir %{baseinstdir}/sdk

%description
This package contains an importer component for LibreOffice to enable importing
the "dia" diagram and shape formats. A gallery of the standard set of "dia"
shapes are made available from Gallery for convenience.

%prep
%setup -q

%build
. %{sdkinstdir}/setsdkenv_unix.sh
OPT_FLAGS="$RPM_OPT_FLAGS" DIA_SHAPES_DIR=/usr/share/dia/shapes make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{baseinstdir}/share/extensions/diafilter.oxt $RPM_BUILD_ROOT/%{_datadir}/applications
unzip -q build/diafilter.oxt -d $RPM_BUILD_ROOT%{baseinstdir}/share/extensions/diafilter.oxt
cp -p openoffice.org-diafilter.desktop $RPM_BUILD_ROOT/%{_datadir}/applications/openoffice.org-diafilter.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{baseinstdir}/share/extensions/diafilter.oxt
%{_datadir}/applications/openoffice.org-diafilter.desktop
%doc README NEWS TODO gpl-3.0.txt lgpl-3.0.txt

%changelog
* Thu Jul 26 2012 Caolán McNamara <caolanm@redhat.com> - 1.7.2-1
- Resolves: rhbz#843251 FTBFS

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 24 2011 Caolán McNamara <caolanm@redhat.com> - 1.7.1-1
- Resolves: rhbz#715925 FTBFS

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 24 2010 Caolán McNamara <caolanm@redhat.com> - 1.7.0-6
- Resolves: rhbz#665512 Change package description

* Tue Dec 07 2010 Caolán McNamara <caolanm@redhat.com> - 1.7.0-5
- Resolves: rhbz#660917 FTBFS

* Sat Oct 23 2010 Caolán McNamara <caolanm@redhat.com> - 1.7.0-4
- rebuild for libreoffice

* Wed Sep 29 2010 jkeating - 1.7.0-3
- Rebuilt for gcc bug 634757

* Sat Sep 18 2010 Caolán McNamara <caolanm@redhat.com> - 1.7.0-2
- Resolves: rhbz#635286 build with $RPM_OPT_FLAGS

* Fri Sep 17 2010 Caolán McNamara <caolanm@redhat.com> - 1.7.0-1
- latest version

* Thu Aug 26 2010 Caolán McNamara <caolanm@redhat.com> - 1.6.0-1
- Initial import
